%define srcname pixman

Name: libpixman
Version: 0.15.2
Release: alt1
Serial: 1
Summary: Pixel manipulation library
License: MIT
Group: System/Libraries
Url: http://xorg.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %srcname-%version.tar
Patch: %srcname-%version-%release.patch

%description
Pixman is a pixel manipulation library for X and cairo.

%package devel
Summary: Pixel manipulation library development package
Group: Development/C
Requires: %name = %version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%prep
%setup -q -n %srcname-%version
%patch -p1

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Apr 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.2-alt1
- 0.15.2

* Sun Feb 08 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:0.14.0-alt1
- 0.14.0

* Wed Nov 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.13.2-alt1
- 0.13.2

* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.12.0-alt3
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Mon Oct 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.12.0-alt2
- rebuild with gcc4.3

* Fri Sep 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.12.0-alt1
- 0.12.0

* Sun Sep 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.11.10-alt1
- 0.11.10

* Wed Aug 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.11.8-alt1
- 0.11.8

* Wed Jun 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.11.6-alt1
- 0.11.6

* Fri Jun 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.0-alt3
- rollback to 0.10.0 (0.11.4 memory leaked)

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.11.4-alt1
- 0.11.4

* Thu May 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt2
- introduced PIXMAN_0.10.0 ABI interface for new functions in libpixman-1.so.0.10.0

* Fri Mar 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.6-alt3
- pixman-0.9.6-x-offset.patch: fix computation of x_offset in pixman_add_traps

* Wed Jan 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.6-alt2
- avoid use of C++ keyword xor in header (close #13899)

* Wed Oct 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.5-alt2
- GIT snapshot 2007-09-29 (39a67d35f05aa47cf50191e0837a2125593a7bbc)

* Tue Sep 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.5-alt1
- initial release
